Method: networks.yieldGroups.batchCreate

Batch creates YieldGroup objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/yieldGroups:batchCreate

Path parameters

Parameters
parent

string

Required. The parent resource where YieldGroups will be created. Format: networks/{networkCode} The parent field in the CreateYieldGroupRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (CreateYieldGroupRequest)
    }
  ]
}
Fields
requests[]

object (CreateYieldGroupRequest)

Required. The YieldGroup objects to create. A maximum of 100 objects can be created in a batch.

Response body

Response object for yieldGroups.batchCreate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "yieldGroups": [
    {
      object (YieldGroup)
    }
  ]
}
Fields
yieldGroups[]

object (YieldGroup)

The YieldGroup objects created.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

CreateYieldGroupRequest

Request object for yieldGroups.create method.

JSON representation
{
  "parent": string,
  "yieldGroup": {
    object (YieldGroup)
  }
}
Fields
parent

string

Required. The parent resource where this YieldGroup will be created. Format: networks/{networkCode}

yieldGroup

object (YieldGroup)

Required. The YieldGroup to create.